Name:         istio-ingressgateway-66ccc95887-8m2kk
Namespace:    openshift-ingress
Priority:     0
Node:         ci-ln-j1rbnf2-72292-wgg5t-worker-a-hb2c7/10.0.128.2
Start Time:   Fri, 28 Apr 2023 16:38:33 -0400
Labels:       app=istio-ingressgateway
              istio=ingressgateway
              istio.io/rev=openshift-gateway
              maistra-control-plane=openshift-ingress
              maistra.io/gateway=istio-ingressgateway.openshift-ingress
              pod-template-hash=66ccc95887
              service.istio.io/canonical-name=istio-ingressgateway
              service.istio.io/canonical-revision=openshift-gateway
              sidecar.istio.io/inject=false
Annotations:  k8s.ovn.org/pod-networks:
                {"default":{"ip_addresses":["10.128.2.11/23"],"mac_address":"0a:58:0a:80:02:0b","gateway_ips":["10.128.2.1"],"ip_address":"10.128.2.11/23"...
              k8s.v1.cni.cncf.io/network-status:
                [{
                    "name": "ovn-kubernetes",
                    "interface": "eth0",
                    "ips": [
                        "10.128.2.11"
                    ],
                    "mac": "0a:58:0a:80:02:0b",
                    "default": true,
                    "dns": {}
                }]
              openshift.io/scc: restricted-v2
              prometheus.io/path: /stats/prometheus
              prometheus.io/port: 15020
              prometheus.io/scrape: true
              seccomp.security.alpha.kubernetes.io/pod: runtime/default
              sidecar.istio.io/inject: false
Status:       Running
IP:           10.128.2.11
IPs:
  IP:           10.128.2.11
Controlled By:  ReplicaSet/istio-ingressgateway-66ccc95887
Containers:
  istio-proxy:
    Container ID:  cri-o://597618e093e02c97aa0dc14cd4f07b21e816712ca8518f78ad57e7e591791ab5
    Image:         registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:681169d4497beecaaaf15538907f6e3b74e654ec3b5f1211dd67c50184ba9850
    Image ID:      registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:58b704ffb0f5339961245a649bc1332d3c9c8965ac7f5ae3edda3d7741bea40d
    Ports:         15021/TCP, 8080/TCP, 8443/TCP, 15090/TCP
    Host Ports:    0/TCP, 0/TCP, 0/TCP, 0/TCP
    Args:
      proxy
      router
      --domain
      $(POD_NAMESPACE).svc.cluster.local
      --proxyLogLevel=warning
      --proxyComponentLogLevel=misc:error
      --log_output_level=default:warn
    State:          Waiting
      Reason:       CrashLoopBackOff
    Last State:     Terminated
      Reason:       Completed
      Exit Code:    0
      Started:      Fri, 28 Apr 2023 18:01:29 -0400
      Finished:     Fri, 28 Apr 2023 18:01:29 -0400
    Ready:          False
    Restart Count:  21
    Limits:
      cpu:     2
      memory:  1Gi
    Requests:
      cpu:      10m
      memory:   128Mi
    Readiness:  http-get http://:15021/healthz/ready delay=1s timeout=1s period=2s #success=1 #failure=30
    Environment:
      JWT_POLICY:                    first-party-jwt
      PILOT_CERT_PROVIDER:           istiod
      CA_ADDR:                       istiod-openshift-gateway.openshift-ingress.svc:15012
      NODE_NAME:                      (v1:spec.nodeName)
      POD_NAME:                      istio-ingressgateway-66ccc95887-8m2kk (v1:metadata.name)
      POD_NAMESPACE:                 openshift-ingress (v1:metadata.namespace)
      INSTANCE_IP:                    (v1:status.podIP)
      HOST_IP:                        (v1:status.hostIP)
      SERVICE_ACCOUNT:                (v1:spec.serviceAccountName)
      ISTIO_META_WORKLOAD_NAME:      istio-ingressgateway
      ISTIO_META_OWNER:              kubernetes://apis/apps/v1/namespaces/openshift-ingress/deployments/istio-ingressgateway
      ISTIO_META_MESH_ID:            cluster.local
      TRUST_DOMAIN:                  cluster.local
      ISTIO_META_UNPRIVILEGED_POD:   true
      ISTIO_META_DNS_AUTO_ALLOCATE:  true
      ISTIO_META_DNS_CAPTURE:        true
      PROXY_XDS_VIA_AGENT:           true
      ISTIO_META_CLUSTER_ID:         Kubernetes
    Mounts:
      /etc/istio/config from config-volume (rw)
      /etc/istio/ingressgateway-ca-certs from ingressgateway-ca-certs (ro)
      /etc/istio/ingressgateway-certs from ingressgateway-certs (ro)
      /etc/istio/pod from podinfo (rw)
      /etc/istio/proxy from istio-envoy (rw)
      /var/lib/istio/data from istio-data (rw)
      /var/run/secrets/credential-uds from credential-socket (rw)
      /var/run/secrets/istio from istiod-ca-cert (rw)
      /var/run/secrets/kubernetes.io/serviceaccount from kube-api-access-dhr9q (ro)
      /var/run/secrets/workload-spiffe-credentials from workload-certs (rw)
      /var/run/secrets/workload-spiffe-uds from workload-socket (rw)
Conditions:
  Type              Status
  Initialized       True 
  Ready             False 
  ContainersReady   False 
  PodScheduled      True 
Volumes:
  workload-socket:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  credential-socket:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  workload-certs:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  istiod-ca-cert:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      istio-ca-root-cert
    Optional:  false
  podinfo:
    Type:  DownwardAPI (a volume populated by information about the pod)
    Items:
      metadata.labels -> labels
      metadata.annotations -> annotations
  istio-envoy:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  istio-data:
    Type:       EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:     
    SizeLimit:  <unset>
  config-volume:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      istio-openshift-gateway
    Optional:  true
  ingressgateway-certs:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  istio-ingressgateway-certs
    Optional:    true
  ingressgateway-ca-certs:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  istio-ingressgateway-ca-certs
    Optional:    true
  kube-api-access-dhr9q:
    Type:                    Projected (a volume that contains injected data from multiple sources)
    TokenExpirationSeconds:  3607
    ConfigMapName:           kube-root-ca.crt
    ConfigMapOptional:       <nil>
    DownwardAPI:             true
    ConfigMapName:           openshift-service-ca.crt
    ConfigMapOptional:       <nil>
QoS Class:                   Burstable
Node-Selectors:              <none>
Tolerations:                 node.kubernetes.io/memory-pressure:NoSchedule op=Exists
                             node.kubernetes.io/not-ready:NoExecute op=Exists for 300s
                             node.kubernetes.io/unreachable:NoExecute op=Exists for 300s
Events:
  Type     Reason          Age                   From               Message
  ----     ------          ----                  ----               -------
  Normal   Scheduled       83m                   default-scheduler  Successfully assigned openshift-ingress/istio-ingressgateway-66ccc95887-8m2kk to ci-ln-j1rbnf2-72292-wgg5t-worker-a-hb2c7
  Normal   AddedInterface  83m                   multus             Add eth0 [10.128.2.11/23] from ovn-kubernetes
  Normal   Pulling         83m                   kubelet            Pulling image "registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:681169d4497beecaaaf15538907f6e3b74e654ec3b5f1211dd67c50184ba9850"
  Normal   Pulled          83m                   kubelet            Successfully pulled image "registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:681169d4497beecaaaf15538907f6e3b74e654ec3b5f1211dd67c50184ba9850" in 9.042562947s (9.042574843s including waiting)
  Normal   Started         82m (x4 over 83m)     kubelet            Started container istio-proxy
  Normal   Pulled          81m (x4 over 83m)     kubelet            Container image "registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:681169d4497beecaaaf15538907f6e3b74e654ec3b5f1211dd67c50184ba9850" already present on machine
  Normal   Created         81m (x5 over 83m)     kubelet            Created container istio-proxy
  Warning  BackOff         3m8s (x386 over 83m)  kubelet            Back-off restarting failed container istio-proxy in pod istio-ingressgateway-66ccc95887-8m2kk_openshift-ingress(d77b7771-9d98-46c0-9f5c-819098ad1a0e)
